Subject: RE: linux-next: manual merge of the s5p tree with the arm tree

From: Kukjin Kim <[email-masked]>
Date: Thu, 05 Jan 2012 09:46:02 +0900

Russell King wrote:
> 
> On Wed, Jan 04, 2012 at 01:18:30PM +1100, Stephen Rothwell wrote:
> > Hi Kukjin,
> >
> > Today's linux-next merge of the s5p tree got a conflict in
> > arch/arm/plat-samsung/include/plat/system-reset.h between commit
> > 281c8724c10c ("ARM: restart: Temporary #error to persuade platform
> > maintainers to take the restart changes seriously") from the arm tree
> and
> > commit 08c6fc52956c ("ARM: restart: EXYNOS: use new restart hook") from
> > the s5p tree.
> >
> > The arm tree patch seems to have had the desired affect so I used the
> s5p
> > tree version.
> 
> Err, what are the Samsung people playing at, merging the patches that
> they've sent me for merging into their own tree?
> 
Russell, no. They will be removed in my tree.

> This is a recipe for breakage, especially as the exynos patch depends
> on previous patches in my tree _and_ patches in my tree depend on that
> patch as well.
> 
Yes, you're right. So they should be sent to upstream via arm tree.

> Well, we'll see what we end up with when you do the next linux-next,
> as by then my public tree should be updated with yesterdays work by
> then.
> 
> I've a feeling that this coming merge window is going to be a horrible
> mess.
> 

Thanks.

Best regards,
Kgene.
--
Kukjin Kim <[email-masked]>, Senior Engineer,
SW Solution Development Team, Samsung Electronics Co., Ltd.